Instructions for running the Node Agent installer
-------------------------------------------------
1. Generate your Join Token by logging in to https://ccm.fortanix.com and clicking on ENROLL NODE on the Compute Nodes tab.

2. Choose the desired attestation type (EPID/DCAP). DCAP attestation is supported on Ubuntu nodes only. If DCAP attestation is desired, the DCAP Provider library needs to be installed on the node you want to enroll. This can be done by executing the following commands:

On ubuntu Azure nodes:

        echo "deb [arch=amd64] https://packages.microsoft.com/ubuntu/$(lsb_release -rs)/prod  $(lsb_release -cs) main" | sudo tee /etc/apt/sources.list.d/msprod.list
        wget -qO - https://packages.microsoft.com/keys/microsoft.asc | sudo apt-key add -
        sudo apt-get update
        sudo apt-get install az-dcap-client

On other ubuntu nodes:

        echo "deb https://download.fortanix.com/linux/apt $(lsb_release -cs) main" | sudo tee -a /etc/apt/sources.list.d/fortanix.list >/dev/null
        curl -sSL "https://download.fortanix.com/linux/apt/fortanix.gpg" | sudo apt-key add -
        sudo apt-get update
        sudo apt-get install ccm-dcap-provider


3. On the node that you want to enroll, run the installer as follows:

        # attestation-type supported EPID/DCAP. By default attestation-type is EPID
        sudo bash installer.sh <join-token> [--attestation-type=<attestation-type>]


4. Verify the installation by checking the Node Agent service logs using `tail -f /var/log/syslog` on Ubuntu and `tail -f /var/log/messages` on RHEL/CentOs and visiting the Compute Nodes tab at https://ccm.fortanix.com

5. To check installed Node Agent version you can run any one of the below command:

        sudo dpkg -l em-agent
        curl http://<node-agent-ip>:9092/v1/sys/version
